Subject: [xrblock] Review of draft-zorn-xrblock-rtcp-xr-al-stat-05

From: "[email-masked]" <[email-masked]>
Date: Thu, 15 Mar 2012 17:21:14 +0800 (CST)

Hi all,

I’ve reviewed this draft and my comments are as follows:

Section 3.1: I noticed that Burst Loss Rate/Gap Loss Rate is designed as 16-bits field here, while Loss Rate defined in Section 4.7.1 of RFC3611 is 8-bits. The difference between them is that loss rate in RFC3611 is defined as

“…multiplying the result of the division by 256, limiting the maximum value to 255 (to avoid overflow), and taking the integer part”

Why Burst Loss Rate/Gap Loss Rate is not designed as the same fields as the loss rate in RFC 3611?

Section 4.1.1: in Application Layer Metrics, there’s a 1-bit blank between BT and T, and no definition can be found in the draft. Any explanation for that?

Some editorial errors:

Section 3.1.1: “Burst duration Varianc” should be changed to “Burst duration Variance”

Section 3.1.2: definition of Burst Loss Rate:... This value is calculated by dividing Packets Discarded in Bursts by Total Packets expected in Bursts...

Discarded should be changed to Lost

Section 3.1.2: definition of Burst Duration Mean and Burst Duration Variance: where "Sum of Burst Durations " and "Number of Bursts" is obtained from the RTCP XR Burst/Gap Discard Block.

Since RTCP XR Burst/Gap Discard Block has been updated, the metrics above should be obtained from RTCP XR Burst/Gap Loss Block.

Best regards,

Claire Bi(jiayu)

---

From: Qin Wu <[email-masked]>
Date: Fri, 16 Mar 2012 15:06:42 +0800

Hi, Clair:
Thank for your valuable review, please see my replies inline.

Regards!
-Qin
  ----- Original Message ----- 
  From: [email-masked] 
  To: xrblock 
  Sent: Thursday, March 15, 2012 5:21 PM
  Subject: [xrblock] Review of draft-zorn-xrblock-rtcp-xr-al-stat-05

  Hi all, 

[Qin]: That's a good question. Currently we haven't specified the format of Burst/Gap Loss Rate field. I think the format of these fields can follow the similar rule we defined for loss rate in the section 4.7.1 of RFC3611. 

Regarding the size of these fields, I think this depends on how the value of these fields is calculated. e.g., Burst Loss Rate is calculated by dividing Packets Loss in Bursts by Total Packets expected in Bursts
.In order to match the size of "Packets Loss in Bursts" and "Total Packets expected in Bursts", I think Burst Loss Rate should be expanded as 24bit, so does Gap loss Rate. I will fix this in the update.

[Qin] Good catch, it is a typo. In order to fix this, we can just remove this bit or use this bit to indicate this metric block is Interval report and set it to 1.

  Some editorial errors: 

  [Qin]: It is a typo and will fix this.

[Qin]: Okay, you are right.

 [Qin]: Correct and will fix this, thanks.:-)

  Best regards, 

  Claire Bi(jiayu)      

------------------------------------------------------------------------------

  _______________________________________________
  xrblock mailing list
  [email-masked]
  https://www.ietf.org/mailman/listinfo/xrblock